Package org.drinkless.tdlib

# Class TdApi.AffiliateInfo

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AffiliateInfo

Enclosing class:
  `TdApi`

public static class TdApi.AffiliateInfo extends TdApi.Object
Contains information about an affiliate that received commission from a Telegram Star transaction.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `affiliateChatId`
  Identifier of the chat which received the commission.
  `int`
  `commissionPerMille`
  The number of Telegram Stars received by the affiliate for each 1000 Telegram Stars received by the program owner.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.StarAmount`
  `starAmount`
  The Telegram Star amount that was received by the affiliate; can be negative for refunds.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AffiliateInfo()`
  Contains information about an affiliate that received commission from a Telegram Star transaction.
  `AffiliateInfo(int commissionPerMille, long affiliateChatId, TdApi.StarAmount starAmount)`
  Contains information about an affiliate that received commission from a Telegram Star transaction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### commissionPerMille

    public int commissionPerMille
    The number of Telegram Stars received by the affiliate for each 1000 Telegram Stars received by the program owner.

  - ### affiliateChatId

    public long affiliateChatId
    Identifier of the chat which received the commission.

  - ### starAmount

    public TdApi.StarAmount starAmount
    The Telegram Star amount that was received by the affiliate; can be negative for refunds.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AffiliateInfo

    public AffiliateInfo()
    Contains information about an affiliate that received commission from a Telegram Star transaction.

  - ### AffiliateInfo

    public AffiliateInfo(int commissionPerMille, long affiliateChatId, TdApi.StarAmount starAmount)
    Contains information about an affiliate that received commission from a Telegram Star transaction.
    Parameters:
      `commissionPerMille` - The number of Telegram Stars received by the affiliate for each 1000 Telegram Stars received by the program owner.
      `affiliateChatId` - Identifier of the chat which received the commission.
      `starAmount` - The Telegram Star amount that was received by the affiliate; can be negative for refunds.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR